/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __COMPRESSEDFILE_H__
#define __COMPRESSEDFILE_H__

#include "listitem.h"

#include <qfile.h>
#include <qptrlist.h>

class CompressedImageFileIconItem;
class ImageListView;
class ImageViewer;
class Directory;
class DirectoryView;
class MainWindow;

class QFile;
class QString;

class CompressedFileItem : public ListItem
{
public:
	CompressedFileItem (Directory * parent, const char *filename, const char *path,
		      MainWindow *mw, DirectoryView* dirView,
		      ImageViewer * iv, ImageListView * imageList);

	virtual QString text (int column) const;

	virtual void load (bool refresh=true);
	virtual void unLoad ();
	virtual void removeImage (CompressedImageFileIconItem * imf);
	
	virtual  bool refresh(bool preview=true);
	
	virtual void rename(QString newDirName);
	virtual void rename();
	virtual void properties();
	virtual void create(QString dirName);
	bool acceptDrop(){return false;};


private:
	QFile f;
	Directory *p;
	bool readable;

	QString *size;
	QString *extension;

	QPtrList < CompressedImageFileIconItem > list;
};


#endif
