/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* compressedimagefile.h */


#ifndef COMPRESSEDIMAGEFILE_H
#define COMPRESSEDIMAGEFILE_H

#include "fileiconitem.h"

class CompressedFileItem;
class ImageViewer;

class CompressedImageFileIconItem:public FileIconItem
{
public:
	CompressedImageFileIconItem (ImageListView * parent,
	        		 CompressedFileItem * parentDir,
	        		 const char *archive, const char *filename,
	        		 const char *path, ImageViewer * iv);
				 
	~CompressedImageFileIconItem ();

	QString text (int column) const;
	QString text () const;
	QString toolTipStr() const;

	QString fullName ();
	const QPixmap *pixmap (int) const;
	bool suppression ();

private:
	QFile f;
	bool readable;

	QString *filename;
	QString fullname;

	QString full;
	QString *archive;
	
	//ImageViewer *iv;

	//QPixmap *p_open;
	//QPixmap *p_close;
	//QPixmap *p_none;

	CompressedFileItem *parentDir;
};


#endif
