/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __CONFSHOWIMG_H__
#define __CONFSHOWIMG_H__

#include <kdialogbase.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;
class QSlider;
class QFrame;
class QButtonGroup;
class KColorButton;

class ConfShowImg : public KDialogBase
{
Q_OBJECT

public:
	ConfShowImg(QWidget *parent);
	virtual ~ConfShowImg();

	void initFiling(bool trash, bool del, bool shred, int openType, QString openDir, bool showSP);
	void initMiscellaneous(bool storeth, bool showf, bool useexif, bool smooth, bool loadfim, bool sHDir, bool sHFile, bool sDir, bool sAll, bool sprelodim);
	void initColor(QColor bgcolor, int gray);
	void initSlideshow(int type, int time);
	void initFullscreen(bool showToolbar, bool showStatusbar);

	QColor getColor();
	int getGrayscale();

	bool checkTrash();
	bool checkDelete();
	bool checkShred();
	int getOpenDirType();
	QString getOpenDir();
	bool checkshowSP();

	bool getStoreth();
	bool getShowFrame();
	bool getUseEXIF();
	bool getSmooth();
	bool getShowHiddenDir();
	bool getShowHiddenFile();
	bool getLoadFirstImage();
	bool getShowDir();
	bool getShowAll();
	bool getPreloadIm();

	int getSlideshowTime();
	int getSlideshowType();

	void setLayout(int l);
	int getLayout();

	bool getShowToolbar();
	bool getShowStatusbar();


protected slots:
    void slotChangeTime(int);
    void setGrayscale(int);
    void chooseDir();

protected:
	void addPage1();
	void addPage2();
	void addPage3();
	void addPage4();
	void addPage5();
	void addPage6();
	
	QFrame *page1, *page2, *page3, *page4, *page5, *page6;

	QPixmap *image0	;
    QGroupBox* GroupBox2;
    QSlider* timeSlide;
    QLineEdit* timeLine;
    QLabel* timeLabel;
    QButtonGroup* ButtonGroup3;
    QButtonGroup* fsButtonGroup;
    QCheckBox* wraparound;
    QFrame* Line1;
    QRadioButton* backward;
    QRadioButton* random;
    QRadioButton* forward;
    QGroupBox* GroupBox8;
    QCheckBox* trashCheck;
    QCheckBox* deleteCheck;
    QCheckBox* shredCheck;
    QGroupBox* GroupBox13;
    QComboBox* ComboBox1;
    QGroupBox* GroupBox18;
    QCheckBox* storethCheck;
    QCheckBox* showFrame;
    QCheckBox* useEXIF;
    QCheckBox *showSP;
    QCheckBox *prelodimCheck;
    QCheckBox *loadfirstimCheck;
    QLineEdit* LineEdit2;
    QRadioButton* openHome;
    QRadioButton* openLast;
    QRadioButton* open_custom;
    QPushButton* chooseButton;

    QCheckBox* sHiddenDirCheck;
    QCheckBox* sHiddenFileCheck;
    QCheckBox* sDirCheck;
    QCheckBox* sAllCheck;
    QCheckBox *smoothCheck;
    QLabel* TextLabel4;
    QButtonGroup* ButtonGroup2;
    QRadioButton* RadioButton5;
    QPushButton* PushButton1;
    QRadioButton* RadioButton4;
    KColorButton* color;
    QGroupBox* GroupBox6;
    QCheckBox* grayCheck;
    QSlider* graySlider;
    QLabel* PixmapLabel1;
    QRadioButton* radioButton_1;
    QRadioButton* radioButton_2;
    QRadioButton* radioButton_3;
    QRadioButton* radioButton_4;
    QRadioButton* radioButton_5;

    QCheckBox* sStatusbar;
    QCheckBox* sToolbar;
};

#endif
