/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 * 		 2003 OGINO Tomonori <ogino@nn.iij4u.or.jp>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* extract.h*/

#ifndef __EXTRACT_H__
#define __EXTRACT_H__

#include <qptrlist.h>
#include <qstring.h>

#include <kio/global.h>
#include <kio/job.h>
#include <kio/jobclasses.h>

#include <karchive.h>

class Extract:QObject
{
  Q_OBJECT;
public:
  Extract (const char *filename);
  QStringList files;

  static bool canExtract( const QString & _filename );

public slots:
  //void slotMsgRcv (KProcess *, char *, int);
    void slotEntryRcv (KIO::Job * job, const KIO::UDSEntryList& entries);

signals:
    void finished(Extract *);

private:
  QString ext;
  QString dest;

  void getEntryRecursive( const KArchiveDirectory * entry, const QString & path );
};


#endif
