/*
 * Copyright (C) 2000 Richard Groult <rgroult@jalix.org>
 * 		 2003 OGINO Tomonori <ogino@nn.iij4u.or.jp>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* imagefile.h */


#ifndef IMAGEFILE_H
#define IMAGEFILE_H

#include "fileiconitem.h"

class Directory;
class ImageListView;
class ImageViewer;

class QListView;

class ImageFileIconItem:public FileIconItem
{
public:
	ImageFileIconItem (ImageListView * parent, 
				Directory * parentDir,
				const char *filename,
				const char *path,
				ImageViewer *iv,
				QString *description=NULL);
		       
	virtual ~ImageFileIconItem();

	virtual QString fullName ();

	virtual void setText(const QString & text ); 
	virtual QString text (int column=0) const;
	virtual QString toolTipStr() const;

	virtual bool suppression();
	virtual bool suppression(bool suprFile);
	virtual bool moveToTrash();
	virtual bool shred();

	int nbrImg;
	bool doPreload;

protected:
	QFile f;
	QString full;
	Directory *parentDir;

	QString shrink(QString str, int len=20)const;

private:
	QListView *p;
	bool readable;
	bool selected;

	bool pixLoad;
};


#endif
