/***************************************************************************
                          listitem.cpp  -  description
                             -------------------
    begin                : Sat Dec 1 2001
    copyright            : (C) 2001 by Richard Groult
    email                : rgroult@jalix.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "listitem.h"

#include "directoryview.h"
#include "imageviewer.h"
#include "imagelistview.h"
#include "mainwindow.h"

#include <klistview.h>

#include <qstring.h>
#include <qfile.h>
#include <qptrlist.h>
#include <qapplication.h>

ListItem::ListItem(DirectoryView *parent, ImageViewer *iv, ImageListView *imageList, MainWindow *mw)
	:KListViewItem(parent)
{
	this->dirView = parent;
	this->iv = iv;
	this->imageList = imageList;
	this->mw  = mw;
	setDragEnabled(TRUE);
}

ListItem::ListItem(ListItem *parent, DirectoryView *dirView, ImageViewer *iv,  ImageListView *imageList, MainWindow *mw)
	:KListViewItem(parent)
{
	this->dirView = dirView;
	this->iv = iv;
	this->imageList = imageList;
	this->mw  = mw;
	setDragEnabled(TRUE);
}

ListItem::~ListItem()
{
}

QString
ListItem::key (int column, bool ) const
{
	if(column==0)
		return text(0).lower()+text(1).lower()+text(2).lower();
	else
	if(column==1)
		return text(1).lower()+text(0).lower()+text(2).lower();
	else
		return text(2).lower()+text(0).lower()+text(1).lower();
}



const QPixmap *
ListItem::pixmap (int column) const
{
	return QListViewItem::pixmap(column);
}


QString
ListItem::fullName()
{
	return full;
}

void
ListItem::setSelected (bool select)
{
	QListViewItem::setSelected(select);
	if(!dirView->isDropping())
	{
		if(select)
		{
			load(true);
			mw->changeDirectory(fullName());
			dirView->startWatchDir(fullName());
		}
		else
		{
			unLoad();
			dirView->stopWatchDir(fullName());
		}
	}
}


QString ListItem::name (){return QString();};
QString ListItem::path (){return QString();};
void ListItem::load (bool ){};
void ListItem::unLoad (){};
void ListItem::create(QString ){};
void ListItem::rename(QString ){};
void ListItem::rename(){};
void ListItem::properties(){};
void ListItem::goTo (const char *){};
QString ListItem::text (int ) const{return QString();};
bool ListItem::refresh(bool ){return false;};
ListItem* ListItem::find (const char *){return NULL;};
void ListItem::removeImage ( ListItem* ){};
bool ListItem::add(QStrList ){return false;};
bool ListItem::acceptDrop(){return false;};


