/***************************************************************************
                          listitem.h  -  description
                             -------------------
    begin                : Sat Dec 1 2001
    copyright            : (C) 2001 by Richard Groult
    email                : rgroult@jalix.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LISTITEM_H
#define LISTITEM_H


/**
  *@author Richard Groult
  */
#include <klistview.h>

class ImageViewer;
class MainWindow;
class DirectoryView;
class ImageListView;

class QListViewItem;
class QString;
class QPixmap;
class QString;
class QStrList;

class ListItem : public KListViewItem
{
public: 
	ListItem(DirectoryView *parent, ImageViewer *iv, ImageListView *imageList, MainWindow *mw);
	ListItem(ListItem *parent, DirectoryView *dirView, ImageViewer *iv,  ImageListView *imageList, MainWindow *mw);
	virtual ~ListItem();

	virtual QString text (int column) const;
	virtual const QPixmap *pixmap (int) const;

	virtual  QString fullName () ;
	virtual  QString name ();
	virtual  QString path ();

	virtual  void setSelected (bool select);

	virtual  void load (bool refresh=true);
	virtual  void unLoad ();
	virtual  bool refresh(bool preview=true);
	virtual  ListItem* find (const char *);
	virtual  void goTo (const char *);

	virtual  void removeImage ( ListItem* );
	virtual  QString key (int column, bool)  const;

	virtual  void create(QString dirName);

	virtual  bool add(QStrList uris);
	
	virtual  bool acceptDrop();
	
	virtual  void rename(QString newDirName);
	virtual  void rename();
	virtual  void properties();

protected:
	ImageViewer *iv;
	ImageListView *imageList;
	MainWindow *mw;
	DirectoryView *dirView;

	QString full;
	//QPixmap *p_open;
	//QPixmap *p_none;


};

#endif
